package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WorkHoursConfirmEntryCollection extends AbstractObjectCollection 
{
    public WorkHoursConfirmEntryCollection()
    {
        super(WorkHoursConfirmEntryInfo.class);
    }
    public boolean add(WorkHoursConfirmEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WorkHoursConfirmEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WorkHoursConfirmEntryInfo item)
    {
        return removeObject(item);
    }
    public WorkHoursConfirmEntryInfo get(int index)
    {
        return(WorkHoursConfirmEntryInfo)getObject(index);
    }
    public WorkHoursConfirmEntryInfo get(Object key)
    {
        return(WorkHoursConfirmEntryInfo)getObject(key);
    }
    public void set(int index, WorkHoursConfirmEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WorkHoursConfirmEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WorkHoursConfirmEntryInfo item)
    {
        return super.indexOf(item);
    }
}